Edge Error: The Selenium driver that exist in the TestProject Agent folder is missing, or outdated and incompatible with your browser version

I am getting the following error when attempting to run tests in Edge. My agent is registered and connected. Is there a way to force it to upload the driver to the correct version?

Attention! The Selenium driver that exist in the TestProject Agent folder is missing, or outdated and incompatible with your browser version.
To fix the issue, please make sure that your Agent is registered and that you have an active internet connection.
If you are working OFFLINE or with a non-registered TestProject agent, you can update the Selenium driver manually by replacing it with a new version of the Selenium web driver in the agent’s folder.
You can find more details on how to do so in the following article:https://docs.testproject.io/testproject-agents/unregistered-offline-agent#manual-drivers-update

3 Likes

@Greg.Horvath Even I am facing the same issue. I have noticed that the Agent automatically changes the Edge Driver version to a lower one whenever it is run.
For example - My Edge Version is - [103.0.1264.37]. But when I initiate the Edge Driver, the msedgedriver automatically changes to [101.0.1210.32]

Logs for Reference:
[1656343272.821][INFO]: Failed to connect to MSEdge. Attempting to kill it.
[1656343273.024][INFO]: [0684d221ac65e5f959b9d937a063d889] RESPONSE InitSession ERROR session not created: This version of MSEdgeDriver only supports MSEdge version 101
Current browser version is 103.0.1264.37 with binary path C:\Program Files (x86)\Microsoft\Edge\Application\msedge.exe
[1656343273.024][DEBUG]: Log type ‚Äėdriver‚Äô lost 0 entries on destruction
[1656343273.024][DEBUG]: Log type ‚Äėbrowser‚Äô lost 0 entries on destruction

2 Likes

I have the same issue.

The first test in my job had:
Message

[Could¬∑not¬∑start¬∑a¬∑new¬∑session.¬∑Response¬∑code¬∑500.¬∑Message:¬∑unknown¬∑error:¬∑MSEdge¬∑failed¬∑to¬∑start:¬∑exited¬∑normally.‚ÜĶ¬∑¬∑(unknown¬∑error:¬∑DevToolsActivePort¬∑file¬∑doesn't¬∑exist)‚ÜĶ¬∑¬∑(java.version:¬∑'13.0.1'‚ÜĶDriver¬∑info:¬∑org.openqa.selenium.edge.EdgeDriver‚ÜĶCommand:¬∑[null,¬∑newSession¬∑{capabilities=[Capabilities¬∑{browserName:¬∑MicrosoftEdge,¬∑ms:edgeOptions:¬∑{args:¬∑[],¬∑extensions:¬∑[]]], desiredCapabilities=Capabilities {browserName: MicrosoftEdge, ms:edgeOptions: {args: [], extensions: []}}}]

Subsequent tests got error:

Attention! The Selenium driver that exist in the TestProject Agent folder is missing, or outdated and incompatible with your browser version.
To fix the issue, please make sure that your Agent is registered and that you have an active internet connection.
If you are working OFFLINE or with a non-registered TestProject agent, you can update the Selenium driver manually by replacing it with a new version of the Selenium web driver in the agent’s folder.
You can find more details on how to do so in the following article:https://docs.testproject.io/testproject-agents/unregistered-offline-agent#manual-drivers-update
1 Like

I’m having the same error as well. I can’t run any tests on Edge

1 Like

i need some help please can anyone help me

additional information. Test can still be executed in edge version 102. i have multiple agents installed in different machine and one thing i noticed that this error occurs for machine that has edge version 103.

2 Likes

Hey Seira please can you help me with a problem it would mean the world to me

can you describe what your problem is? maybe other users can also help you. i suggest for you to create a new thread so that everyone can give some tips/solution.

1 Like

I created a thread but none responded, it seems like i’m lost in the desert, anyway my problem is that i want to automate logging in with my gmail account but it says that it’s impossible

in my experienced, (even outside testproject) automating the logging in process to gmail is difficult. Gmail can actually detects that the session logging in came from your created test and will treat it as bot. It will then display additional security (in form of captcha) making it much harder to automate this scenario.

i’m not sure if there’s another way, but im not really suggesting to automate this area. if you really need to have an email validation, i am suggesting to use other free email domain (like mailinator) or atleast do it in an api level.

Regards,
Aries

The problem is that my project is completely linked to my gmail account i can’t use another email for that case… anyway i’ll wait until anyone come up with a solution

I’m having the same error as well. I can’t run any tests on Edge

I had the same issue on on of my machines.
There I downloaded an older version of edge, 102.0.1245.41 and after installing that and setting the correct edge driver my tests would run again.

Please stop hijacking this thread.

@eldar could we ask for your help to look at these issue as well? seems like the agent is forced to download an outdated version of edge driver (v101) whenever the test is triggered on TP dashboard (cloud). i actually tried to replace the edge driver at the agent folder but it is being overridden everytime i trigger the test.

kindly help.

Regards,
Aries

1 Like

Hello everyone,
The drivers have been updated.
Please try again.

1 Like